#ifndef __BOARD_H
#define __BOARD_H

extern float stdOptions[7];

typedef int (*ShapeDrawFunc)(int scr, int y, int x, unsigned char type);
extern int ShapeIterate(char s, int scr, int y, int x, ShapeDrawFunc func);
extern char ChooseOption(float options[7]);
extern void ClearField(int scr);
extern unsigned char GetBlock(int scr, int y, int x);
extern void SetBlock(int scr, int y, int x, unsigned char type);
extern int RefreshBoard(int scr);
extern int GlanceFunc(int scr, int y, int x, unsigned char type);
extern int ShadowFunc(int scr, int y, int x, unsigned char type);
extern int PlotFunc(int scr, int y, int x, unsigned char type);
extern void PlotShape(char shape, int scr, int y, int x, int shadow);
extern int EraseFunc(int scr, int y, int x, unsigned char type);
extern void EraseShape(char shape, int scr, int y, int x, int shadow);
extern int CollisionFunc(int scr, int y, int x, unsigned char type);
extern int ShapeFits(char shape, int scr, int y, int x);
extern int VisibleFunc(int scr, int y, int x, unsigned char type);
extern int ShapeVisible(char shape, int scr, int y, int x);
extern int MovePiece(int scr, int deltaY, int deltaX);
extern int RotatePiece(int scr, int dir);
extern int DropPiece(int scr);
extern int BlockFree(int scr, int x, int y, unsigned char z);
extern int BlockFall(int scr, int x, int y, unsigned char z);
extern int CheckFall(int scr);
extern int LineIsFull(int scr, int y);
extern void CopyLine(int scr, int from, int to);
extern int ClearFullLines(int scr);
extern void FreezePiece(int scr);
extern void InsertJunk(int scr, int color, int count, int column);

#endif //__BOARD_H

